<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            #{homeManagerBean.initializeHome()}
            <s:div id="title" rendered="#{not identity.loggedIn or not s:hasRole('admin_role')}">
                <h1>
                    <h:outputText value="#{homeManagerBean.selectedHome.homeTitle}"
                                  rendered="#{not empty homeManagerBean.selectedHome.homeTitle}"/>
                    <h:outputText value="#{messages['gazelle.simulator.noTitleDefined']}"
                                  rendered="#{empty homeManagerBean.selectedHome.homeTitle}"/>
                </h1>
            </s:div>
            <s:div id="titleForAdmin" rendered="#{identity.loggedIn and s:hasRole('admin_role')}">
                <h1>
                    <rich:inplaceInput id="titleEdit" defaultLabel="#{messages['gazelle.simulator.defaultHomeTitle']}"
                                       value="#{homeManagerBean.selectedHome.homeTitle}" showControls="true">
                        <a4j:ajax event="change" render="titleForAdmin" listener="#{homeManagerBean.save()}"/>
                    </rich:inplaceInput>
                </h1>
            </s:div>
            <s:decorate template="/layout/panels/_panel_footer.xhtml"
                        rendered="#{identity.loggedIn and s:hasRole('admin_role')}">
                <s:div id="info" rendered="#{homeManagerBean.mainContentEditMode}">
                    <ui:decorate template="/layout/editor/_text_editor.xhtml">
                        <ui:param name="text" value="#{homeManagerBean.selectedHome.mainContent}"/>
                        <ui:param name="id" value="editHome"/>
                    </ui:decorate>
                </s:div>
                <f:subview id="admin" rendered="#{not homeManagerBean.mainContentEditMode}">
                    <ui:include src="homeContent.xhtml"/>
                </f:subview>
                <ui:define name="panel_footer">
                    <a4j:commandButton styleClass="gzl-btn-blue"
                                       rendered="#{identity.loggedIn and s:hasRole('admin_role') and not homeManagerBean.mainContentEditMode}"
                                       value="#{messages['gazelle.simulator.editMainContent']}"
                                       actionListener="#{homeManagerBean.editMainContent()}" render="globalForm"/>
                    <a4j:commandButton value="#{messages['gazelle.simulator.Save']}"
                                       rendered="#{homeManagerBean.mainContentEditMode}"
                                       actionListener="#{homeManagerBean.save()}" styleClass="gzl-btn-green"
                                       render="globalForm"/>
                </ui:define>
            </s:decorate>
            <s:decorate template="/layout/panels/_panel.xhtml"
                rendered="#{not (identity.loggedIn and s:hasRole('admin_role'))}">
                <f:subview id="all">
                    <ui:include src="homeContent.xhtml"/>
                </f:subview>
            </s:decorate>
        </h:form>
        </ui:define>
</ui:composition>
